%define upstream_name    Array-Compare
%define upstream_version 2.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl extension for comparing arrays
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Types::Standard)
BuildArch:  noarch

%description 
If you have two arrays and you want to know if they are the same or different,
then Array::Compare will be useful to you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}


%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Array
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.110.0-4pclos2017
- rebuild against updates

